`include "xor.v"

module top;

reg in1,in2;
wire out;

my_xor xor1(.out(out),.in1(in1),.in2(in2));

initial 
$dumpfile("xor.dmp");

initial
begin
$dumpvars(0,top);
#120 $dumpoff;
end

initial
begin
#5	in1 = 1'b0;
#5	in1 = 1'b1;
#5	in1 = 1'bx;
#5	in1 = 1'bz;

#5	in2 = 1'bz;
	in1 = 1'b0;
#5	in1 = 1'b1;
#5	in1 = 1'bx;
#5	in1 = 1'bz;

#5	in2 = 1'b0;
	in1 = 1'b0;
#5	in1 = 1'b1;
#5	in1 = 1'bx;
#5	in1 = 1'bz;

#5	in2 = 1'b1;
	in1 = 1'b0;
#5	in1 = 1'bz;
#5	in1 = 1'b1;
#5	in1 = 1'bx;
#5 in1 = 0;
#5	$finish;
end

initial
$monitor($time,": %b",out);

endmodule
